<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
    {% include 'en/navbar.html' %}
    <div class="container">
        <div class="row">
            <div class="col">
 		<h4> Feature selection for <strong>{{target}}</strong> </h4>
		<p> The fraction of elements with class 1 for  {{target}}  is {{rt}}</p>
                <p> The best model found is  <strong>{{name}} </strong> with  features: </p><p>
   		{% for p  in predictors %}
 			<span class="badge bg-primary"> {{p}} </span>
		{% endfor %}
			</p>
                        <!-- Gráfica de distribucion -->
                            {{ script_bmodels | safe }}
                            {{ div_bmodels | safe }} 
               <p>Below we show the metrics for the best model found. If multiple models have an equal value for the 
                 evaluated metric, all of them are shown. A SHAP report for the model can be generated by clicking on info. Depending on the model, this may take 
a long time, but once generated it is saved to the database and does not need to be generated again. Finally, after the SHAP report has been generated, new samples can be predicted by clicking on Predict new samples </p>
               <table>
             <table class="table">
			<thead>
			    <tr>
			      <th scope="col">Model</th>
			      <th scope="col">Precision</th>
			      <th scope="col">Recall</th>
			      <th scope="col">F1</th>
			      <th scope="col">ROC AUC</th>
                              <th scope="col">Predictors</th>
                              <th scope="col">Report</th>
                              <th scope="col">Predict samples</th>
			    </tr>
 			</thead>
    			<tbody>
   		{% for s  in summa %}
                     <tr>
			<td>{{s.n}} </td>
			<td>{{s.sc[0]}}, {{s.sc[1]}} </td>
			<td>{{s.sc[2]}}, {{s.sc[3]}} </td>
			<td>{{s.sc[4]}}, {{s.sc[5]}} </td>
			<td>{{s.sc[8]}} </td>
			<td>{{s.pre}} </td>
 			<td><a class="btn btn-primary" href="{{url_for('show_details_feat_report',id=id, model_id=s.mid)}}" role="button">SHAP report</a>
 			<td><a class="btn btn-primary" href="{{url_for('predict_samples',id=id, model_id=s.mid)}}" role="button">Predict samples</a>
 			<td><a class="btn btn-primary" href="{{url_for('download_feat_report',id=id, model_id=s.mid)}}" role="button">Download data</a>
 		     </tr>
                {% endfor %}
    			</tbody>
               </table>
             {%if has_importances %}
             <p> The most relevant features for the model are: </p>
   		{% for fe  in fe_list %}
             <table class="table">
			<thead>
			    <tr>
			      <th scope="col">Feature</th>
			      <th scope="col">Relevance (fraction)</th>
			    </tr>
 			</thead>
    			<tbody>
   		{% for i  in fe %}
                    <tr> 
			<td>{{i[0]}}</td>
			<td>{{i[1]}}</td>
                    <tr> 
		
                {% endfor %}
    			</tbody>
               </table>
                {% endfor %}
              {% endif %}
   		{% for  plt in tplots %}
                   {#{{plt | safe}}#}
  	           <img class="img-fluid" src="data:image/png;base64,{{plt| safe}}">
       		{% endfor %}
            </div>
        </div>  
    </div>
{% endblock %}

